/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workborrowmangement.entity;


import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.User;

import java.util.Date;
import java.util.List;

/**
 * 借用管理Entity
 * @author chenyuping
 * @version 2018-07-11
 */
public class WorkBorrowMangement extends ActEntity<WorkBorrowMangement> {
	
	private static final long serialVersionUID = 1L;
	private String borrower;		// 借用人
	private String number;		// 借用编号
	private Date borrowDate;		// 借用日期
	private String officeId;		// 借用部门
	private String companyId;		// 所属公司
	private String borrowFor;		// 借用事由
	private String state;		// 申请状态
	private String fixedAssetsNumber;		//物品一栏id
	private String itemName;		// 物品名称
	private String itemNumber;		// 物品编号
	private String itemType;		// 物品分类
	private String itemModel;		// 物品型号
	private String itemPrimaryUnit;		// 计量单位
	private String backState;		// 归还状态
	private String processInstanceId;		// 流程实例
	private Date beginDate;
	private Date endDate;
	private  String officeName;
	private String UserName;
	private String home;
	private String leaderNameStr;
	private List<User> handlerList;
	private String opinion;		// 领导批示
	private String handler;		// 处理人
	private String assetsNumber;

	public String getAssetsNumber() {
		return assetsNumber;
	}

	public void setAssetsNumber(String assetsNumber) {
		this.assetsNumber = assetsNumber;
	}

	public String getOpinion() {
		return opinion;
	}

	public void setOpinion(String opinion) {
		this.opinion = opinion;
	}

	public String getHandler() {
		return handler;
	}

	public void setHandler(String handler) {
		this.handler = handler;
	}

	public String getLeaderNameStr() {
		return leaderNameStr;
	}

	public void setLeaderNameStr(String leaderNameStr) {
		this.leaderNameStr = leaderNameStr;
	}

	public List<User> getHandlerList() {
		return handlerList;
	}

	public void setHandlerList(List<User> handlerList) {
		this.handlerList = handlerList;
	}

	public String getHome() {
		return home;
	}

	public void setHome(String home) {
		this.home = home;
	}
	@ExcelField(title="借用人", align=2, sort=7)
	public String getUserName() {
		return UserName;
	}

	public void setUserName(String userName) {
		UserName = userName;
	}
	@ExcelField(title="借用部门", align=2, sort=8)
	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public WorkBorrowMangement() {
		super();
	}

	public WorkBorrowMangement(String id){
		super(id);
	}


	public String getBorrower() {
		return borrower;
	}

	public void setBorrower(String borrower) {
		this.borrower = borrower;
	}
	
	@ExcelField(title="借用编号", align=2, sort=1)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}
	
	@ExcelField(title="借用日期", align=2, sort=6)
	public Date getBorrowDate() {
		return borrowDate;
	}

	public void setBorrowDate(Date borrowDate) {
		this.borrowDate = borrowDate;
	}
	

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	

	public String getBorrowFor() {
		return borrowFor;
	}

	public void setBorrowFor(String borrowFor) {
		this.borrowFor = borrowFor;
	}
	
	@ExcelField(title="申请状态", align=2, sort=11,dictType = "audit_state")
	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getFixedAssetsNumber() {
		return fixedAssetsNumber;
	}

	public void setFixedAssetsNumber(String fixedAssetsNumber) {
		this.fixedAssetsNumber = fixedAssetsNumber;
	}
	
	@ExcelField(title="物品名称", align=2, sort=2)
	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}
	
	@ExcelField(title="物品编号", align=2, sort=16)
	public String getItemNumber() {
		return itemNumber;
	}

	public void setItemNumber(String itemNumber) {
		this.itemNumber = itemNumber;
	}
	
	@ExcelField(title="物品分类", align=2, sort=4)
	public String getItemType() {
		return itemType;
	}

	public void setItemType(String itemType) {
		this.itemType = itemType;
	}
	
	@ExcelField(title="物品型号", align=2, sort=5)
	public String getItemModel() {
		return itemModel;
	}

	public void setItemModel(String itemModel) {
		this.itemModel = itemModel;
	}
	
	@ExcelField(title="计量单位", align=2, sort=19)
	public String getItemPrimaryUnit() {
		return itemPrimaryUnit;
	}

	public void setItemPrimaryUnit(String itemPrimaryUnit) {
		this.itemPrimaryUnit = itemPrimaryUnit;
	}
	
	@ExcelField(title="归还状态", align=2, sort=12)
	public String getBackState() {
		return backState;
	}

	public void setBackState(String backState) {
		this.backState = backState;
	}

	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	
}